-- Table: control_index
CREATE TABLE [control_index] (
    [entity_id] int NOT NULL,
    [gobject_id] int NOT NULL,
    [control_id] nvarchar(329) NULL,
    [control_name] nvarchar(329) NOT NULL,
    [control_description] nvarchar(2000) NULL,
    [properties] nvarchar(-1) NULL,
    [thumbnail] nvarchar(-1) NULL,
    CONSTRAINT [PK_control_index] PRIMARY KEY ([gobject_id], [control_name], [gobject_id])
);
GO

ALTER TABLE [control_index] ADD FOREIGN KEY ([gobject_id]) REFERENCES [gobject] ([gobject_id]);
GO

